This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1298972 - Missing /usr/lib/jvm/java-1.7.0-openjdk on x86_64
Missing /usr/lib/jvm/java-1.7.0-openjdk on x86_64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.7.0-openjdk (Show other bugs)
6.7
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: jiri vanek
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 09:59 EST by Andrew John Hughes
Modified: 2016-01-19 12:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-19 12:09:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew John Hughes 2016-01-15 09:59:47 EST
This is the same issue as bug 1143771 but, in this case, it's a regression as the link was there previously (see the initial comment on that bug).

Without a /usr/lib/jvm/java-1.7.0-openjdk, there is no way to find OpenJDK 7 on RHEL 6.
Comment 1 jiri vanek 2016-01-17 08:16:32 EST
I would avoid word regression. It was change on demand:
 https://bugzilla.redhat.com/show_bug.cgi?id=1259241 (https://bugzilla.redhat.com/show_bug.cgi?id=1254197)
 https://bugzilla.redhat.com/show_bug.cgi?id=1217177

Isuse is, that original convention was link depending on arch:
32b - java-1.x.0-openjdk
64b - java-1.x.0-openjdk.arch
 
With start of "multipe jdks" this changed, and  only  java-1.x.0-openjdk appeared as alterantives driven simlink between java-1.x.0-openjdk.

So this Should be regression only on 32b systems.

For record: https://bugzilla.redhat.com/show_bug.cgi?id=1143771:  1143771 - Missing /usr/lib/jvm/java-1.6.0-openjdk

Note You need to log in before you can comment on or make changes to this bug.